import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import beforeEnter from './utils/beforeEnter'

// 公共css
import '@/assets/css/base.css'
import './assets/rem/rem.js'

// Element-UI
import '@/assets/theme/index.css'
import ElementUI from 'element-ui'
Vue.use(ElementUI)

import VueAwesomeSwiper from 'vue-awesome-swiper'
Vue.use(VueAwesomeSwiper, /* { default options with global component } */)



// 路由钩子函数
router.beforeEach(beforeEnter)

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
